Bug 275301 - Viewing TIFFs in Firefox / mozplugger broken
Viewing TIFFs in Firefox / mozplugger broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
10
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 11:52 EDT by Christopher Beland
Modified: 2009-08-20 10:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 10:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2007-09-03 11:52:17 EDT
I was recently trying to view the TIFF version of the 1911 Encyclopedia Britannica:

http://en.wikisource.org/w/index.php?title=User:Tim_Starling/ScanSet_TIFF_demo&vol=01&page=EB1A001

The U.S. Patent and Trademark Office website (uspto.gov) also uses the TIFF format.

When I view the wikisource URL given above, I see a broken puzzle piece that
lets me click to install a plugin that will display the image.  This generates a
"Plugin Finder Service" dialog window which says, "No suitable plugins were
found. Unknown Plugin (image/tiff)".

The only pointer the USPTO has for Linux users is to "plugger":

 http://www.uspto.gov/patft/help/images.htm

So I installed mozplugger-1.7.3-3.1 (the official successor of "plugger") via
yum, moved ~/.mozilla/pluginreg.dat and ~/.mozilla/firfox/pluginreg.dat aside,
and restarted Firefox.

/etc/mozpluggerrc is configured to try to use "display", "gqview", "gthumb",
"xv", "sdtimage", and "qiv" to display tiffs.  I also have "eog" installed,
which could do the same job but is not listed.  I have the first three
installed, but I have the same problem viewing TIFFs.  "about:plugins" gives no
indication that mozplugger is correctly installed and functioning.

Since I already have standard programs installed that are capable of displaying
TIFFs, I would expect Firefox to handle them automatically. Preferably, they
would just be displayed inline, but having a dialog box ask me if it's OK to
display in an external application would also be an improvement.  If additional
software needs to be installed in order for Firefox to successfully display
TIFFs, clearer instructions (or a URL that has clearer instructions) should be
given when an undisplayable image is encountered.  I don't know what those
instructions would be, since I was unable to successfully enable integrated
display of TIFFs in Firefox.

mozplugger is listed at:
 
 http://plugindoc.mozdev.org/linux.html#MozPlugger

It's marked as supporting Firefox, so I would have expected the official Fedora
RPM to have worked.  It would also be more user-friendly for the moving of
pluginreg.dat to be handled automatically.

I am running firefox-2.0.0.5-1.fc7.
Comment 1 Matěj Cepl 2008-02-21 17:34:45 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 2 Matěj Cepl 2008-02-21 17:36:01 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 3 Christopher Beland 2008-02-22 16:55:57 EST
Hmm, with firefix-2.0.0.12 and mozplugger-1.7.3-3.1, I see a grey box where I
think the image would be, and can't right-click to open the image in an external
application.  If I load the TIF URL directly (the target of <img src="target">,
I get a pop-up dialog that asks if I want to use EOG to view the image.  I'll
try testing in Firefox 3 and see what happens.
Comment 4 Christopher Beland 2008-02-22 17:23:46 EST
With Firefox 3 Beta 3, I am again seeing the broken puzzle piece and the "No
suitable plugins were found. Unknown Plugin (image/tiff)" error.  If I load the
URL of the .TIF file directly, I get the dialog box that offers to display the
image in eog.  (This is with the .tar.bz2 file, not an RPM, since I'm running
Fedora 8, not rawhide.)
Comment 5 Matěj Cepl 2008-02-25 10:06:03 EST
I will probably blame mozplugger.
Comment 6 Bug Zapper 2008-05-13 23:10:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Kevin 2008-07-17 08:30:08 EDT
Confirmed that the issue still exists in Fedora 9 with the latest updates. 
Comment 8 lexual 2009-02-25 17:37:13 EST
I can reproduce behaviour with Fedora 10.
Comment 9 Ngo Than 2009-08-20 10:35:55 EDT
i don't see the problem with latest mozplugger-1.12.1.

Note You need to log in before you can comment on or make changes to this bug.